"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tlds_1 = require("./tlds");
function checkTldUrl(url) {
    if (!url || !url.length) {
        return false;
    }
    // strip
    url = url.replace(/^\s+/g, '').replace(/\s+$/g, '');
    if (!url || !url.length) {
        return false;
    }
    url = url.toLowerCase();
    let isOk = false;
    tlds_1.tlds.forEach(tld => {
        if (url.endsWith("." + tld)) {
            isOk = true;
        }
    });
    return isOk;
}
exports.checkTldUrl = checkTldUrl;
function checkTldEmail(email) {
    if (!email || !email.length) {
        return false;
    }
    let domain = email.replace(/.*@/, "");
    return checkTldUrl(domain);
}
exports.checkTldEmail = checkTldEmail;
